Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007076TestLinkUsers and Rightspublic2015-04-22 14:412015-04-23 12:03
Reporterpharmmed 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.13 (2015 #1) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0007076: cannot reset password
Descriptionhi,

we upgraded from 1.9.3 to 1.9.13 and we also switched from DB to LDAP authentication in the process.

now when we want to reset the password from local DB user, no Password is shown and it is also not written to the DB since the user can still login with his old password. The user himself can change his password manually.

we downgraded to TL 1.9.12 and there everything seems to work normally, when upgrading back to 1.9.13 the problem shows again.
Steps To Reproduce- create a local DB user
- reset his password
- no new password is shown or set
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon Capture 2015-04-03 at 16.33.22.png [^] (73,616 bytes) 2015-04-22 14:41

- Relationships

-  Notes
(0023129)
fman (administrator)
2015-04-22 19:27

1. please (as suggested on README file present on sourceforge) check latest available fixes
http://mantis.testlink.org/view.php?id=6830 [^]

2. always search for similar issues, before reporting. Have you did this?
(0023131)
pharmmed (reporter)
2015-04-23 07:32

yes I did search for this issue but I couldn't find a match with my particular problem. Thank you for your help.
(0023132)
fman (administrator)
2015-04-23 11:48

on http://mantis.testlink.org/view.php?id=6830 [^] there are at least two issue with the word password on subject.

- Issue History
Date Modified Username Field Change
2015-04-22 14:41 pharmmed New Issue
2015-04-22 14:41 pharmmed File Added: Capture 2015-04-03 at 16.33.22.png
2015-04-22 19:27 fman Note Added: 0023129
2015-04-22 19:27 fman Status new => feedback
2015-04-23 07:32 pharmmed Note Added: 0023131
2015-04-23 07:32 pharmmed Status feedback => new
2015-04-23 11:48 fman Note Added: 0023132
2015-04-23 11:48 fman QA Team - Task Workflow Status => READY FOR TESTING
2015-04-23 11:48 fman Status new => closed
2015-04-23 11:48 fman Assigned To => fman
2015-04-23 11:48 fman Resolution open => fixed
2015-04-23 11:48 fman Fixed in Version => 1.9.14 (2015 Q3)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker